#
# spec file for package suselinux-userguide_en (Version 9.0.0.0b)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         suselinux-userguide_en
Version:      9.0.0.0b
Release:      27
Source:       suselinux-userguide-90b-en-html.tar.bz2
Source1:      suselinux-userguide-90-en-color.pdf
Source2:      susebooks.css
NoSource:     0
NoSource:     1
NoSource:     2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Group:        Documentation/SuSE
License:      Unknown, Other License(s), see package
Requires:     latex2html-pngicons
Obsoletes:    qconfig_en qappl_en
Provides:     qconfig_en qappl_en
PreReq:       /bin/rm /bin/ln
Summary:      SuSE Linux Userguide (English)
ExclusiveArch: x86_64 %ix86 ia64
%define MYDOC %{_defaultdocdir}/%{name}
%define TEXDIR /usr/share/texmf/tex/latex/susebook
%define verbose_name SuSE-Linux-Userguide
%define old_name SuSE-Linux-Basics

%description
SuSE Linux Userguide (English).



%package pdf
Group:        Documentation/SuSE
License:      Unknown, Other License(s), see package
PreReq:       /bin/rm /bin/ln
Summary:      SuSE Linux Userguide (English) - PDF

%description pdf
SuSE Linux Userguide (English) in PDF format.



%prep
# %setup -q -c -a
%setup -q -c -T -D -a0 -n suselinux-userguide-en
cp %{S:1} %{verbose_name}-%{version}.pdf
cp %{S:2} html
# %patch -p 1
find -type d -name CVS | xargs rm -rfv

%build
#mkdir html
#cd html
#ln -f ../user-guide-en-html/* . || :
#cd ..
#
# lang=$(echo %{name} | sed 's:.*_\(.*\):\1:')
# case $lang in
#   es) language=spanish ;;
#   it) language=italian ;;
#   hu) language=magyar ;;
#   cs) language=czech ;;
# esac
# if [ -z "$language" ]; then
#   true
# else
#   cp /etc/texmf/language.dat /etc/texmf/language.dat.orig
#   sed "s/^% *\($language.*\)/\1/" /etc/texmf/language.dat.orig >/etc/texmf/language.dat
#   /usr/bin/fmtutil --byfmt latex
#   /usr/bin/fmtutil --byfmt pdflatex
# fi
# %ifarch %ix86
# make x86
# # %else
# # make %{_target_cpu}
# %endif
# # %ifarch ppc
# # make ppc
# # %endif
# %ifarch %ix86
# make pdfbuch
# [ -f main.pdf ] || { echo "missing main.pdf: PDF creation failed"; exit 1;}
# e=$(pdfinfo main.pdf 2>&1 | head -1 | grep ^Error || true)
# [ -z "$e" ] || { echo "broken PDF file"; exit 1;}
# mv main.pdf %{verbose_name}-%{version}.pdf
# html=yes
# if [ -n "$html" ]; then
#   cp /usr/share/texmf/makeindex/susedoc/susedoc.perl \
#     /usr/share/texmf/makeindex/susedoc/suse.css .
#   cp Ablage/* .
#   latex2html -style suse.css -split 3 main.tex
#   mv main html
#   cp suse.css html
# else
#   mkdir html
#   echo "building HTML disabled" > html/missing
# fi
# %endif
# %ifarch %ix86
# if [ -f /etc/texmf/language.dat.orig ]; then
#   cp /etc/texmf/language.dat.orig /etc/texmf/language.dat
#   /usr/bin/fmtutil --byfmt latex
#   /usr/bin/fmtutil --byfmt pdflatex
# fi
# %endif

%install
[ -d $RPM_BUILD_ROOT ] && rm -fvr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

%post pdf
if [ -d %{MYDOC} ] ; then
pushd %{MYDOC} >/dev/null
  rm -f %{verbose_name}.pdf
  ln -s %{verbose_name}-%{version}.pdf %{verbose_name}.pdf
popd >/dev/null
fi

%preun pdf
if [ -d %{MYDOC} ] ; then
  pushd %{MYDOC} >/dev/null
  rm -f %{old_name}.pdf
  rm -f %{verbose_name}.pdf
  popd >/dev/null
fi

%clean
rm -fr $RPM_BUILD_ROOT

%files
# %doc %{verbose_name}-%{version}.pdf
%doc html

%files pdf
%doc %{verbose_name}-%{version}.pdf

%changelog -n suselinux-userguide_en
* Tue Nov 11 2003 - ke@suse.de
- Adjust missing pictures; thanks to Thomas Schraitle, reported by
  Christoph Thiel [# 32850].
- Also translate two paragraphs,
* Thu Sep 18 2003 - ke@suse.de
- Update to 9.0.0.0b; fix by Thomas Schraitle.
* Tue Sep 16 2003 - ke@suse.de
- Use color PDF.
* Sat Sep 13 2003 - ro@suse.de
- remove CVS subdirs
* Fri Sep 12 2003 - ke@suse.de
- Update to version 9.0a.
* Thu Apr 24 2003 - ke@suse.de
- Fix printing problems concerning shell commands; provide an updated
  PDF file [# 26443].
* Fri Mar 14 2003 - ke@suse.de
- Add susebooks.css.
- Update to 82c; fix HTML problems, final cleanup.
- Enable post/preun scripts again.
* Wed Mar 12 2003 - ke@suse.de
- Update HTML files; general cleanup.
* Wed Mar 12 2003 - ke@suse.de
- Add PDF file as a subpackage.
- Mark source files as Nosource.
* Tue Mar 11 2003 - ke@suse.de
- Update to version 82a.
* Mon Mar 10 2003 - ke@suse.de
- Update to version 8.2.0.0.
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xshared> to <x-devel-packages>
* Wed Oct 30 2002 - ro@suse.de
- changed neededforbuild <l2h> to <latex2html>
* Thu Sep 12 2002 - mls@suse.de
- added cups-libs and openssl to neededforbuild
* Wed Sep 04 2002 - ke@suse.de
- Update to version 8.1.0.2d.
* Fri Aug 23 2002 - ke@suse.de
- Update to version 8.1.0.2c.
* Fri Aug 16 2002 - ke@suse.de
- Add PreReq [# 18000].
* Tue Aug 13 2002 - ke@suse.de
- Version 8.1.0.2a (still for testing).
- Shut up post scripts
* Wed Jul 17 2002 - ke@suse.de
- Version 8.1.0.2 (for testing).
- Fix %%ix86 macro usage.
* Thu Jul 04 2002 - ke@suse.de
- Version 8.1.0.1 (for testing).
- Use "ix86" instead of "i386" for conditionals.
* Fri Jun 28 2002 - ke@suse.de
- Update to version 8.1.0.0 (for testing).
* Sat Mar 23 2002 - kukuk@suse.de
- Add requires for icons
- add l2h-pngicons to neededforbuild
* Fri Mar 15 2002 - ke@suse.de
- Update to version 8.0.0.2.
- Enable HTML output; [# 13759].
* Mon Mar 04 2002 - ke@suse.de
- Update to version 8.0.0.1.
* Fri Feb 15 2002 - ke@suse.de
- Update to version 8.0.0.0.
* Sat Feb 02 2002 - ro@suse.de
- added libgimpprint to neededforbuild
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Tue Sep 18 2001 - utuerk@suse.de
- up to 7.3.0.0
* Fri Sep 14 2001 - adrian@suse.de
- move conf files to susehelp package
* Wed Aug 08 2001 - ro@suse.de
- updated neededforbuild
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_fonto> to <ghostscript-fonts-other>
- changed neededforbuild <gs_fonts> to <ghostscript-fonts-std>
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_serv> to <ghostscript-serv>
- changed neededforbuild <gs_x11> to <ghostscript-x11>
* Fri May 18 2001 - ke@suse.de
- Update to version 7.2.0.2a.
* Thu May 03 2001 - utuerk@suse.de
- up to 7.2.0.2
- pdf-version is still not useable
* Thu May 03 2001 - kukuk@suse.de
- Fix spec file, never create empty RPMs, abort on all unsupported
  architectures.
* Thu May 03 2001 - utuerk@suse.de
- up to 7.2.0.1
* Mon Mar 12 2001 - ro@suse.de
- added liblcms to neededforbuild
* Fri Mar 09 2001 - ro@suse.de
- added xf86
* Wed Feb 14 2001 - gbrand@suse.de
- cp some pictures to its destination
* Wed Feb 14 2001 - ro@suse.de
- fixed setcolor.pl call
* Sun Feb 04 2001 - ro@suse.de
- fixed specfile another time
* Fri Feb 02 2001 - gbrand@suse.de
- conf-file had been changed (once again)
* Wed Jan 31 2001 - gbrand@suse.de
- conf-file had been changed
* Fri Jan 19 2001 - gbrand@suse.de
- rebuild
* Thu Jan 18 2001 - gbrand@suse.de
- changed some pics
* Wed Jan 17 2001 - gbrand@suse.de
- only html-output
* Wed Jan 17 2001 - gbrand@suse.de
- conf-file for susehelp has changed
* Tue Jan 16 2001 - gbrand@suse.de
- added html-output at ppc
* Tue Jan 16 2001 - gbrand@suse.de
- ppc does not build (fixed)
* Mon Jan 15 2001 - gbrand@suse.de
- first try
